<?php if (!defined('FORUM')) die();

$uploaddir = FORUM_ROOT.$forum_url['pan_converter_modules'].$section.'/wp_xml/';

if(!$forum_db->table_exists('pan_blog_pages'))
	message('You must first install the extension Pan Blog.');

$errors = array();

if (isset($_POST['load_file']))
{
	$userfile = $_FILES['userfile']['name'];
	$uploadfile = $uploaddir . $userfile;

	if ($_FILES['userfile']['type'] != 'text/xml') {
		$error = 'It is non xml file.';
	} else {

		if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadfile)) {
			$message = 'File sucefilled.';
		} else {
			$message = "Not uploaded file!";
		}
	}
	
}

if (isset($_POST['wp_convert']))
{
	$wp_arr = $_POST['wp'];

	foreach($wp_arr as $wp_keys => $wp_values)
	{
		$wp_title = $wp_values['title'];
		$wp_url = $wp_values['url'];
		$wp_date = $wp_values['date'];
		$wp_content = htmlspecialchars_decode($wp_values['content']);
		$wp_cat = $wp_values['cat'];
		
		if(empty($errors) && ($forum_db->table_exists('pan_blog_pages')))
		{
			$query = array(
				'INSERT'	=> 'poster, subject, content, posted, url, cat_id, status',
				'INTO'		=> 'pan_blog_pages',
				'VALUES'	=> '\''.$forum_db->escape($forum_user['username']).'\', \''.$forum_db->escape($wp_title).'\', \''.$forum_db->escape($wp_content).'\', '.$wp_date.', \''.$forum_db->escape($wp_url).'\', \''.$wp_cat.'\', \'1\''
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
		}
		
	}
	
	if (function_exists('pan_blog_update_cat')) {
		pan_blog_update_cat();
	}

	$forum_flash->add_info('Pages added');

	redirect(forum_link($forum_url['pan_converter_section'].$section), $lang_pan_blog['Page added']);
}

define('FORUM_PAGE_SECTION', 'pan-converter');
define('FORUM_PAGE', 'admin-pan-converter-'.$section);
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
	<div class="main-content main-frm">

		<div class="content-head">
			<h2 class="hn"><span>Uploade files</span></h2>
		</div>

		<form class="frm-form" name="upload" action="<?php echo forum_link($forum_url['pan_converter_section'].$section) ?>" method="POST" ENCTYPE="multipart/form-data">

			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_converter_section'].$section)) ?>" />
			</div>

			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong><?php echo 'File' ?></strong></legend>

				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box text required">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo 'Add file' ?></span><small><?php echo 'Select xml file and press button Uploade' ?></small></label><br />
						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" name="userfile" type="file" size="40" /></span>
					</div>
				</div>

			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="load_file" value="<?php echo 'Uploade' ?>" /></span>
			</div>
		</form>


		<div class="content-head">
			<h2 class="hn"><span>Listing all subjects</span></h2>
		</div>

		<form action="<?php echo forum_link($forum_url['pan_converter_section'].$section) ?>" accept-charset="utf-8" method="post" class="frm-form">
			<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['pan_converter_section'].$section)) ?>" name="csrf_token" />

<?php
if ($handle = opendir($uploaddir)) 
{
	if ($forum_db->table_exists('pan_blog_categories'))
	{
		$query = array(
			'SELECT'	=> 'c.id, c.cat_name, c.curl',
			'FROM'		=> 'pan_blog_categories AS c',
			'ORDER BY'	=> 'c.cat_name'
		);
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		$disp_cats = array();
		while ($fetch_cat = $forum_db->fetch_assoc($result))
		{
			$disp_cats[] = $fetch_cat;
		}
	}
	
	$arr_files = pan_get_all_files($uploaddir, array('xml'));
	
	foreach($arr_files as $key => $name_xml)
	{
		$xml_files = simplexml_load_file($uploaddir.$name_xml, null, LIBXML_NOCDATA);

		foreach ($xml_files->channel as $channel)
		{
			$i = 0;
			foreach ($channel->item as $item)
			{
				$wp_title = $item->title;
				$wp_date = strtotime($item->pubDate);

				$namespaces = $item->getNameSpaces(true);

				$content = $item->children($namespaces['content']);
				$wp_content = htmlspecialchars($content->encoded);

				$url = $item->children($namespaces['wp']);
				$nicename = $item->category['nicename'];

?>

			<input type="hidden" value="<?php echo $wp_content; ?>" name="wp[<?php echo $i; ?>][content]" />
			<input type="hidden" value="<?php echo $wp_date; ?>" name="wp[<?php echo $i; ?>][date]" />

			<div class="ct-set report data-set set">
				<div class="ct-box data-box">
					<h3 class="ct-legend hn"><cite class="username"><?php echo date("d-m-Y", $wp_date); ?></cite> </h3>
					<h4 class="hn"><input type="text" name="wp[<?php echo $i; ?>][title]" value="<?php echo $wp_title; ?>"  size="50"/></h4>
					<h3 class="ct-legend hn">
						<cite class="username">
							<select id="fld<?php echo $forum_page['fld_count'] ?>" name="wp[<?php echo $i; ?>][cat]">
<?php
	foreach($disp_cats as $all_cats)
	{
		if($all_cats['curl'] == $nicename)
			echo "\t\t\t\t\t\t\t".'<option value="'.$all_cats['id'].'" selected>'.forum_htmlencode($nicename).'</option>'."\n";
		else
			echo "\t\t\t\t\t\t\t".'<option value="'.$all_cats['id'].'">'.forum_htmlencode($all_cats['cat_name']).'</option>'."\n";
	}
?>
							</select>
						</cite>
					</h3>
					
					<h4 class="hn"><input type="text" name="wp[<?php echo $i; ?>][url]" value="<?php echo $url->post_name; ?>" size="50"/></h4>
				</div>
			</div>
			
<?php
				$i++;
			}
		}
	}
}
?>
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="wp_convert" value="<?php echo 'Convert now?' ?>" /></span>
			</div>
			
		</form>

	</div>

<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->